﻿using MySql.Data.MySqlClient;
using System;

namespace MontoyaTech.MySqlPlus.Example
{
    public class Program
    {
        [MySqlRow("cars")]
        public class Car
        {
            [MySqlColumn(Id = true, Name = "id")]
            public ulong Id = 0;

            [MySqlColumn("make")]
            public string Make = null;

            [MySqlColumn("model")]
            public string Model = null;

            [MySqlColumn("year")]
            public uint Year = 0;

            //[MySqlColumn("dateCreated", typeof(DateTime2UnixConverter))]
            //public DateTime DateCreated = DateTime.UtcNow;
        }

        public class DateTime2UnixConverter
        {

        }

        public static void Main(string[] args)
        {
            var session = new MySqlSession("server=db.zone2d.com;user=root;database=zone2d;port=3306;password=-+W6!?Kv-6wDL2Vj5f=kC^Q&;SslMode=Required");

            session.Insert(new Car() { Make = "Chevy", Model = "Camaro", Year = 2011 });

            session.Insert(new Car() { Make = "GMC", Model = "Sierra", Year = 2000 });

            var cars = session.GetAll<Car>();

            foreach (var car in cars)
                Console.WriteLine($"Make: {car.Make}, Model: {car.Model}, Year: {car.Year}");

            cars[0].Make = "test";

            session.Update(cars[0]);

            foreach (var car in cars)
                session.Delete(car);

            Console.WriteLine("Done.");
            Console.ReadLine();
        }
    }
}